# --------------------------------------------------------
puts "Simulation script for HERON-FPGA14 Example 1"
# --------------------------------------------------------
vlib work
vlib sim_lib
vcom -just e -93 -explicit   -work sim_lib ../../Common/SIM_MSG.vhd
vcom -skip e -93 -explicit   -work sim_lib ../../Common/SIM_MSG.vhd
vcom -just e -93 -explicit   -work sim_lib ../../Common/SIM_RD_6F.vhd
vcom -skip e -93 -explicit   -work sim_lib ../../Common/SIM_RD_6F.vhd
vcom -just e -93 -explicit   -work sim_lib ../../Common/SIM_WR_6F.vhd
vcom -skip e -93 -explicit   -work sim_lib ../../Common/SIM_WR_6F.vhd
vcom -just e -93 -explicit   -work sim_lib ../ISE/fifo15x32.vhd
vcom -skip e -93 -explicit   -work sim_lib ../ISE/fifo15x32.vhd
vcom -just e -93 -explicit   -work sim_lib ../ISE/he_ddr_f15x32.vhd
vcom -skip e -93 -explicit   -work sim_lib ../ISE/he_ddr_f15x32.vhd
vcom -just e -93 -explicit   -work sim_lib ../ISE/he_ddr_f15x32c.vhd
vcom -skip e -93 -explicit   -work sim_lib ../ISE/he_ddr_f15x32c.vhd
vcom -just e -93 -explicit   -work sim_lib ../ISE/he_ddr_f15x25.vhd
vcom -skip e -93 -explicit   -work sim_lib ../ISE/he_ddr_f15x25.vhd
vcom -just e -93 -explicit   -work sim_lib ../ISE/he_ddr_f15x8.vhd
vcom -skip e -93 -explicit   -work sim_lib ../ISE/he_ddr_f15x8.vhd
vcom -just e -93 -explicit   ../../common/HE_RD_6F.vhd
vcom -skip e -93 -explicit   ../../common/HE_RD_6F.vhd
vcom -just e -93 -explicit   ../../common/HE_RWCLK.vhd
vcom -skip e -93 -explicit   ../../common/HE_RWCLK.vhd
vcom -just e -93 -explicit   ../../common/HE_MSG_MSTR.vhd
vcom -skip e -93 -explicit   ../../common/HE_MSG_MSTR.vhd
vcom -just e -93 -explicit   ../../common/HE_USER.vhd
vcom -skip e -93 -explicit   ../../common/HE_USER.vhd
vcom -just e -93 -explicit   ../../common/HE_DDR_CTRL.vhd
vcom -skip e -93 -explicit   ../../common/HE_DDR_CTRL.vhd
vcom -just e -93 -explicit   ../../common/HE_DDR_DATA.vhd
vcom -skip e -93 -explicit   ../../common/HE_DDR_DATA.vhd
vcom -just e -93 -explicit   ../../common/HE_DDR.vhd
vcom -skip e -93 -explicit   ../../common/HE_DDR.vhd
vcom -just e -93 -explicit   ../../common/HE_WR_6F.vhd
vcom -skip e -93 -explicit   ../../common/HE_WR_6F.vhd
vcom -just e -93 -explicit   ../src/HSB1.vhd
vcom -skip e -93 -explicit   ../src/HSB1.vhd
vcom         -93 -explicit   ../src/User_Ap1.vhd
vcom -just e -93 -explicit   ../../common/TOP.vhd
vcom -skip e -93 -explicit   ../../common/TOP.vhd
vcom -just e -93 -explicit   ../Src/TB_EX1.vhd
vcom -skip e -93 -explicit   ../Src/TB_EX1.vhd
vsim -t 1ps  -L xilinxcorelib   -lib work testbench
view wave
quietly virtual signal -install /testbench { (concat_range  (0 to 5) )( (context /testbench )(endf0 & endf1 & endf2 & endf3 & endf4 & endf5 ) )} End_Flags
add wave -noupdate -format Logic /testbench/osc3_pin
add wave -noupdate -format Logic /testbench/f1
add wave -noupdate -format Logic /testbench/diclk
add wave -noupdate -format Logic /testbench/reset_pin
add wave -noupdate -format Logic /testbench/go
add wave -noupdate -format Literal /testbench/End_Flags
add wave -noupdate -format Literal /testbench/dif_ef
add wave -noupdate -format Literal /testbench/dif_ae
add wave -noupdate -format Literal /testbench/dif_ren
add wave -noupdate -format Literal /testbench/dif_oen
add wave -noupdate -format Literal -radix hexadecimal /testbench/di
add wave -noupdate -format Literal /testbench/dof_ff
add wave -noupdate -format Literal /testbench/dof_af
add wave -noupdate -format Literal /testbench/dof_wen
add wave -noupdate -format Literal -radix hexadecimal /testbench/do
add wave -noupdate -format Literal -radix hexadecimal /testbench/adstrb
add wave -noupdate -format Literal -radix hexadecimal /testbench/ad
add wave -noupdate -format Literal -radix hexadecimal /testbench/rdwr
add wave -noupdate -format Literal -radix hexadecimal /testbench/done
add wave -noupdate -format Literal -radix hexadecimal /testbench/ad_bus
add wave -noupdate -format Literal /testbench/led
add wave -noupdate -format Logic /testbench/msg_start
add wave -noupdate -format Logic /testbench/msg_op
add wave -noupdate -format Literal /testbench/msg_addr
add wave -noupdate -format Literal /testbench/msg_din
add wave -noupdate -format Literal /testbench/msg_dout
add wave -noupdate -format Logic /testbench/msg_ready
add wave -noupdate -format Literal /testbench/dio_a
add wave -noupdate -format Literal /testbench/dio_b
add wave -noupdate -format Literal /testbench/dio_c
add wave -noupdate -format Literal /testbench/dio_d
add wave -noupdate -format Literal /testbench/dio_e
add wave -noupdate -format Literal /testbench/dio_f
view structure
view signals
run 12us
